From:  Yan Lei <yan_lei@dahuatech.com>
Date: Fri, 25 Mar 2022 15:50:00 +0800
Subject: [PATCH] ethernet: netswift: fix leak of memory of eeprom_ptrs

dahua inclusion
category: bugfix
bugzilla: https://gitee.com/openeuler/kernel/issues/I4ZKXP
CVE: NA

----------------------------------------------------------
Leak of memory or pointers to system resources(CWE-404)
Resource "eeprom_ptrs" is not freed or pointed-to in "txgbe_read_ee_hostif_buffer". 

Signed-off-by: Yan Lei <yan_lei@dahuatech.com>

---
 drivers/net/ethernet/netswift/txgbe/txgbe_hw.c | 1 +
 1 file changed, 1 insertion(+)

diff --git a/drivers/net/ethernet/netswift/txgbe/txgbe_hw.c b/drivers/net/ethernet/netswift/txgbe/txgbe_hw.c
index 876470341..e6099f2c3
--- a/drivers/net/ethernet/netswift/txgbe/txgbe_hw.c
+++ b/drivers/net/ethernet/netswift/txgbe/txgbe_hw.c
@@ -6794,6 +6794,7 @@ s32 txgbe_calc_eeprom_checksum(struct txgbe_hw *hw)
 						     eeprom_ptrs);
 		if (status) {
 			DEBUGOUT("Failed to read EEPROM image\n");
+			vfree(eeprom_ptrs);
 			return status;
 		}
 		local_buffer = eeprom_ptrs;
-- 
2.30.0

